> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentcare.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# watermark 抽出注文を作成

> **サポート終了。** このエンドポイントは 2026 年 10 月 9 日 09:00 KST（00:00 UTC）にサポートを終了しました。`POST /api/v3/orders/wtr-extract` を使用してください。

このエンドポイントのすべてのレスポンス（認証エラーと `410` レスポンスを含む）には、`Deprecation: true`、`Sunset: Fri, 09 Oct 2026 00:00:00 GMT`、`Link: </api/v3/orders/wtr-extract>; rel="successor-version"` ヘッダーが含まれます。

2026 年 10 月 9 日 09:00 KST（00:00 UTC）から:
- 認証・権限の確認はこれまでどおり先に行われるため、`401`・`403` エラーは従来と同じです。
- 認証を通過した v2 の watermark 埋め込み・抽出リクエストには、本番キーと `sk_test_` キーのどちらでも `410 Gone` と `{ "code": "WATERMARK_V2_API_SUNSET" }` が返されます。`Link` ヘッダーが v3 エンドポイントを示すので、v3 で新しくリクエストしてください。
- その時点までに処理が始まっていない v2 注文は、処理されずに失敗として確定します。注文の詳細（`errors.errorCode`）と失敗 Webhook には `WATERMARK_V2_API_SUNSET` と v3 への案内メッセージが含まれ、課金されずクレジットは戻ります。
- 終了時点ですでに処理中の注文は、結果の記録まで完了します。その後に改めて実行されることはありません。

watermark 抽出注文を作成します。
- 注文あたりファイル1つのみ
- 画像（jpg, jpeg, png, webp, bmp, tiff）またはPDFファイルに対応
- 画像の場合、`includeOriginal: true` で元ファイルも一緒にアップロード可能
- PDFは `includeOriginal` に非対応

> [!WARNING]
>
> **サポート終了。** この v2 エンドポイントは 2026 年 10 月 9 日 09:00 KST（00:00 UTC）にサポートを終了しました。新しく連携する場合は [`POST /api/v3/orders/wtr-extract`](https://docs.contentcare.ai/ja/api-reference/watermark-extract/create-order-v3) を使用し、移行方法は [watermark 抽出のクイックスタート](https://docs.contentcare.ai/ja/quickstart/watermark-extract.md#v2-から-v3-への移行)を参照してください。
>
> **v2 のサポート終了後の動作**（2026 年 10 月 9 日 09:00 KST、00:00 UTC から）:
>
> * 認証・権限の確認はこれまでどおり先に行われるため、`401`・`403` エラーは従来と同じです。
> * 認証を通過した v2 の watermark 埋め込み・抽出リクエストには、本番キーと `sk_test_` キーのどちらでも `410 Gone` と `{ "code": "WATERMARK_V2_API_SUNSET" }` が返されます。`Link` ヘッダーが v3 エンドポイントを示すので、v3 で新しくリクエストしてください。
> * その時点までに処理が始まっていない v2 注文は、処理されずに失敗として確定します。注文の詳細（`errors.errorCode`）と失敗 Webhook には `WATERMARK_V2_API_SUNSET` と v3 への案内メッセージが含まれ、課金されずクレジットは戻ります。
> * 終了時点ですでに処理中の注文は、結果の記録まで完了します。その後に改めて実行されることはありません。
> * 既存の v2 注文の取得と、作成済みの結果・レポートのダウンロードは、既存の保管期間内であれば引き続き利用できます。v2 レポートの新規作成・再作成はできません。
>
> それまではリクエストとレスポンスの動作は変わらず、これらのエンドポイントのすべてのレスポンスに `Deprecation: true`、`Sunset: Fri, 09 Oct 2026 00:00:00 GMT`、`Link` ヘッダーが付くだけです。

> [!WARNING]
>
> **v3 の watermark 抽出では、v2 で埋め込んだ watermark を検出できません。** エンドポイントを v3 に切り替えるだけでは既存の v2 watermark 画像は検出されず、v2 のサポート終了後に v2 の検出を例外的に受け付けることもありません。

## サポート終了後のレスポンス

2026 年 10 月 9 日 09:00 KST（00:00 UTC）から、このエンドポイントに認証済みのリクエストを送ると、次のレスポンスが返されます。

```http theme={null}
HTTP/1.1 410 Gone
Content-Type: application/json; charset=utf-8
Deprecation: true
Sunset: Fri, 09 Oct 2026 00:00:00 GMT
Link: </api/v3/orders/wtr-extract>; rel="successor-version"

{ "code": "WATERMARK_V2_API_SUNSET" }
```

`Link` ヘッダーの v3 エンドポイントに新しくリクエストしてください。


## OpenAPI

````yaml ja/api-reference/openapi.yaml POST /api/v2/orders/wtr-extract
openapi: 3.0.0
info:
  title: BIZ MORI API
  version: 2.0.0
  description: >-
    BIZ MORI API は、デジタルコンテンツ保護のための4つのコアサービスを提供します:

    - **Anti-AI**: 画像をAI学習から保護

    - **Watermark Embed**: 画像に不可視のデジタル watermark を埋め込み

    - **Watermark Extract**: 画像から watermark を抽出・検証

    - **AI Detection**: 画像がAI生成かどうかを検知

    - **テストAPIキー**: `sk_test_`
    プレフィックスのキーは同じBearer認証を使用し、実際の処理サービスの実行やクレジットの消費なしに注文ライフサイクルを検証できます。テストアップロードの内容は破棄され、結果ファイルは作成されません
  contact:
    name: BIZ MORI サポート
    email: support@contentcare.ai
  license:
    name: Proprietary
    url: https://docs.contentcare.ai/legal/terms
servers:
  - url: https://api.bizmori.com
    description: 本番環境
security: []
tags:
  - name: Anti-AI
    description: Anti-AI画像保護の注文
  - name: Watermark Embed
    description: watermark 埋め込みの注文
  - name: Watermark Extract
    description: watermark 抽出の注文
  - name: AI Detection
    description: AI生成画像検知の注文
  - name: Orders
    description: 注文の照会と管理
  - name: Webhooks
    description: Webhookの設定とイベント
  - name: Reports
    description: watermark 抽出・AI Detection 注文の PDF 分析レポート
paths:
  /api/v2/orders/wtr-extract:
    post:
      tags:
        - Watermark Extract
      summary: watermark 抽出注文を作成
      description: >-
        **サポート終了。** このエンドポイントは 2026 年 10 月 9 日 09:00 KST（00:00
        UTC）にサポートを終了しました。`POST /api/v3/orders/wtr-extract` を使用してください。


        このエンドポイントのすべてのレスポンス（認証エラーと `410` レスポンスを含む）には、`Deprecation:
        true`、`Sunset: Fri, 09 Oct 2026 00:00:00 GMT`、`Link:
        </api/v3/orders/wtr-extract>; rel="successor-version"` ヘッダーが含まれます。


        2026 年 10 月 9 日 09:00 KST（00:00 UTC）から:

        - 認証・権限の確認はこれまでどおり先に行われるため、`401`・`403` エラーは従来と同じです。

        - 認証を通過した v2 の watermark 埋め込み・抽出リクエストには、本番キーと `sk_test_` キーのどちらでも `410
        Gone` と `{ "code": "WATERMARK_V2_API_SUNSET" }` が返されます。`Link` ヘッダーが v3
        エンドポイントを示すので、v3 で新しくリクエストしてください。

        - その時点までに処理が始まっていない v2 注文は、処理されずに失敗として確定します。注文の詳細（`errors.errorCode`）と失敗
        Webhook には `WATERMARK_V2_API_SUNSET` と v3 への案内メッセージが含まれ、課金されずクレジットは戻ります。

        - 終了時点ですでに処理中の注文は、結果の記録まで完了します。その後に改めて実行されることはありません。


        watermark 抽出注文を作成します。

        - 注文あたりファイル1つのみ

        - 画像（jpg, jpeg, png, webp, bmp, tiff）またはPDFファイルに対応

        - 画像の場合、`includeOriginal: true` で元ファイルも一緒にアップロード可能

        - PDFは `includeOriginal` に非対応
      operationId: createWatermarkExtractOrder
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - idempotencyKey
                - file
              properties:
                idempotencyKey:
                  type: string
                  description: 冪等性キー
                file:
                  type: object
                  required:
                    - fileName
                  properties:
                    fileName:
                      type: string
                      description: watermark 付きファイル名（拡張子を含む）
                      example: watermarked.jpg
                    includeOriginal:
                      type: boolean
                      default: false
                      description: |-
                        元ファイルを含める（画像のみ）
                        - true: 元ファイルのアップロードURLも発行されます
                        - PDFファイルでは使用できません
                    originalFile:
                      type: object
                      description: 元ファイル情報（includeOriginalがtrueの場合必須）
                      required:
                        - fileName
                      properties:
                        fileName:
                          type: string
                          description: 元ファイル名
                          example: original.jpg
            examples:
              imageOnly:
                summary: 単一画像（watermark のみ）
                value:
                  idempotencyKey: 2f4b6c82-8a6e-4f39-9f8a-7d3b5c1e2a40
                  file:
                    fileName: watermarked.jpg
              imageWithOriginal:
                summary: 画像 + 元ファイルを含む
                value:
                  idempotencyKey: key-002
                  file:
                    fileName: watermarked.jpg
                    includeOriginal: true
                    originalFile:
                      fileName: original.jpg
              pdfOnly:
                summary: PDFファイル
                value:
                  idempotencyKey: key-003
                  file:
                    fileName: document.pdf
      responses:
        '200':
          description: 注文が正常に作成されました
          headers:
            Deprecation:
              description: 非推奨（deprecated）の API であることを示します
              schema:
                type: string
                example: 'true'
            Sunset:
              description: サポート終了日時（RFC 8594 HTTP-date、2026 年 10 月 9 日 09:00 KST）
              schema:
                type: string
                example: Fri, 09 Oct 2026 00:00:00 GMT
            Link:
              description: 後継の v3 API のパス
              schema:
                type: string
                example: </api/v3/orders/wtr-extract>; rel="successor-version"
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      orderName:
                        type: string
                        description: 注文名（自動生成）
                      orderId:
                        type: string
                        description: 注文ID
                      file:
                        $ref: '#/components/schemas/WtrExtractOrderFile'
              examples:
                imageOnlyResponse:
                  summary: 単一画像のレスポンス
                  value:
                    data:
                      orderName: wtr_extract_2026-02-13
                      orderId: '123456789'
                      file:
                        fileId: 1
                        fileName: watermarked.jpg
                        uploadUrl: https://s3.amazonaws.com/...
                        fileKey: 123/456/watermarked.jpg
                        fileFormat: JPG
                        fileType: IMG
                        role: watermarked
                        sequence: 1
                imageWithOriginalResponse:
                  summary: 画像 + 元ファイルのレスポンス
                  value:
                    data:
                      orderName: wtr_extract_2026-02-13
                      orderId: '123456789'
                      file:
                        fileId: 1
                        fileName: watermarked.jpg
                        uploadUrl: https://s3.amazonaws.com/...
                        fileKey: 123/456/watermarked.jpg
                        fileFormat: JPG
                        fileType: IMG
                        role: watermarked
                        sequence: 1
                        originalFile:
                          fileId: 2
                          fileName: original.jpg
                          uploadUrl: https://s3.amazonaws.com/...
                          fileKey: 123/456/original.jpg
                          fileFormat: JPG
                          fileType: IMG
                          role: original
                          sequence: 1
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: 1d819399-c497-4a6c-b83c-11290e6b4c40
        '410':
          description: >-
            v2 watermark のサポート終了（2026 年 10 月 9 日 09:00 KST
            から）。認証・権限の確認を通過したリクエストにのみ返されます。`Link` ヘッダーの v3 パスに新しくリクエストしてください。
          headers:
            Link:
              description: 後継の v3 API のパス
              schema:
                type: string
                example: </api/v3/orders/wtr-extract>; rel="successor-version"
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                code: WATERMARK_V2_API_SUNSET
        '429':
          $ref: '#/components/responses/UsageLimitExceeded'
      deprecated: true
      security:
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl -X POST https://api.bizmori.com/api/v2/orders/wtr-extract \
              -H "Authorization: Bearer YOUR_API_TOKEN" \
              -H "Content-Type: application/json" \
              -d '{
                "idempotencyKey": "8b3f1d6e-e7a5-424b-b6c9-1e4d5a8c0f26",
                "file": {
                  "fileName": "watermarked.jpg"
                }
              }'
        - lang: javascript
          label: JavaScript
          source: >-
            const response = await
            fetch('https://api.bizmori.com/api/v2/orders/wtr-extract', {
              method: 'POST',
              headers: {
                'Authorization': 'Bearer YOUR_API_TOKEN',
                'Content-Type': 'application/json'
              },
              body: JSON.stringify({
                idempotencyKey: '8b3f1d6e-e7a5-424b-b6c9-1e4d5a8c0f26',
                file: {
                  fileName: 'watermarked.jpg'
                }
              })
            });

            const data = await response.json();
        - lang: python
          label: Python
          source: |-
            import requests

            response = requests.post(
                'https://api.bizmori.com/api/v2/orders/wtr-extract',
                headers={'Authorization': 'Bearer YOUR_API_TOKEN'},
                json={
                    'idempotencyKey': '8b3f1d6e-e7a5-424b-b6c9-1e4d5a8c0f26',
                    'file': {
                        'fileName': 'watermarked.jpg'
                    }
                }
            )
            data = response.json()
components:
  schemas:
    WtrExtractOrderFile:
      type: object
      description: watermark 抽出注文ファイル情報
      properties:
        fileId:
          type: integer
          description: ファイルID
        fileName:
          type: string
          description: ファイル名
        uploadUrl:
          type: string
          format: uri
          description: アップロードURL（プリサインドURL）
        fileKey:
          type: string
          description: S3ファイルキー
        fileFormat:
          type: string
          description: ファイル形式
          example: JPG
        fileType:
          type: string
          enum:
            - IMG
            - DOCUMENT
          description: ファイルタイプ（画像またはPDF）
        role:
          type: string
          enum:
            - watermarked
          description: ファイルの役割（メインファイルは常に"watermarked"）
        sequence:
          type: integer
          description: ファイル順序番号（常に1）
          example: 1
        originalFile:
          type: object
          nullable: true
          description: 元ファイル情報（includeOriginalがtrueの場合のみ含まれます）
          properties:
            fileId:
              type: integer
              description: ファイルID
            fileName:
              type: string
              description: ファイル名
            uploadUrl:
              type: string
              format: uri
              description: アップロードURL（プリサインドURL）
            fileKey:
              type: string
              description: S3ファイルキー
            fileFormat:
              type: string
              description: ファイル形式
            fileType:
              type: string
              enum:
                - IMG
              description: ファイルタイプ（画像のみ）
            role:
              type: string
              enum:
                - original
              description: ファイルの役割（常に"original"）
            sequence:
              type: integer
              description: ファイル順序番号（常に1）
              example: 1
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: エラーコード
  responses:
    BadRequest:
      description: 不正なリクエスト
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: VALIDATION_FAILED
    Unauthorized:
      description: 認証失敗
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: AUTH_NOT_AUTHENTICATED
    UsageLimitExceeded:
      description: 使用量上限を超過
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: USAGE_LIMIT_EXCEEDED
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        外部クライアントアクセス用のBearer APIキー。本番キーは `sk_` プレフィックスを使用し、テストキーは `sk_test_`
        プレフィックスを使用して、処理やクレジット消費なしに注文ライフサイクルを検証します。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.